Subject: bug#39209: Guix-commits digest settings

From: Ludovic Courtès <[email-masked]>
Date: Mon, 27 Jan 2020 22:49:17 +0100

Hi Christopher,

Christopher Howard <[email-masked]> skribis:

> Hello, would it be possible for the Guix-commits list administrator to
> tune the Digest settings, so as to reduce the numbers of Digest emails
> sent each day? I'm using Digest mode, but still receive about 8-15
> emails per day. One thing that might help is to increase the number of
> messages that can be lumped into one digest: I frequently receive two
> or three emails within 30 seconds of each other, than have nine
> messages in each. I think you can adjust also how long the system waits
> before creating a new digest.

I’ve changed ‘digest_size_threshold’ from 30 to 300 KB.  This option is
documented like this:

  digest_size_threshhold (digest): How big in Kb should a digest be
  before it gets sent out? 0 implies no maximum size.

So I think it should be better now.  Let me know!

Ludo’.